# Uses of Class
org.eclipse.swt.graphics.GCData

Packages that use GCData
Package
Description
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.printing
SWT Printing support classes.
org.eclipse.swt.widgets
SWT widget public API classes.

## Uses of GCData in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return GCData
Modifier and Type
Method
Description
`GCData`
GC.`getGCData()`
Returns the GCData.
Methods in org.eclipse.swt.graphics with parameters of type GCData
Modifier and Type
Method
Description
`abstract void`
Device.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`void`
Drawable.`internal_dispose_GC(long handle, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`void`
Image.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`abstract long`
Device.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.
`long`
Drawable.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.
`long`
Image.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.
`static GC`
GC.`win32_new(long hDC, GCData data)`
Invokes platform specific functionality to wrap a graphics context.
`static GC`
GC.`win32_new(Drawable drawable, GCData data)`
Invokes platform specific functionality to allocate a new graphics context.

## Uses of GCData in org.eclipse.swt.printing

Methods in org.eclipse.swt.printing with parameters of type GCData
Modifier and Type
Method
Description
`void`
PDFDocument.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`void`
Printer.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`long`
PDFDocument.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.
`long`
Printer.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.

## Uses of GCData in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type GCData
Modifier and Type
Method
Description
`void`
Control.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`void`
Display.`internal_dispose_GC(long hDC, GCData data)`
Invokes platform specific functionality to dispose a GC handle.
`long`
Control.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.
`long`
Display.`internal_new_GC(GCData data)`
Invokes platform specific functionality to allocate a new GC handle.